/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/JSP_Servlet/Servlet.java to edit this template
 */
package servlet;

import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Date;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.List;

import bean.Utilisateur;
import bean.Ventilation;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;
import mysql.attendanceMysql;
import mysql.utilisateurMysql;
import util.TrmtDate;

/**
 *
 * @author francois
 */
@WebServlet(name = "ModifyAttendanceServlet", urlPatterns = { "/ModifyAttendanceServlet" })
public class ModifyAttendanceServlet extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        try (PrintWriter out = response.getWriter()) {
            /* TODO output your page here. You may use following sample code. */
            out.println("<!DOCTYPE html>");
            out.println("<html>");
            out.println("<head>");
            out.println("<title>Servlet ModifyAttendanceServlet</title>");
            out.println("</head>");
            out.println("<body>");
            out.println("<h1>Servlet ModifyAttendanceServlet at " + request.getContextPath() + "</h1>");
            out.println("</body>");
            out.println("</html>");
        }
    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        //processRequest(request, response);
        HttpSession session = request.getSession(false);
        if (session != null || request.getAttribute("currentUtilisateur") != null) {
            getServletContext().getRequestDispatcher("/WEB-INF/modifyAttendanceJSP.jsp").forward(request, response);
        } else {
            getServletContext().getRequestDispatcher("/WEB-INF/authentifJSP.jsp").forward(request, response);
        }
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        //processRequest(request, response);
        String startWeekStr = request.getParameter("startWeek");
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Calendar calendar = Calendar.getInstance();
        try {
            java.util.Date startWeek = sdf.parse(startWeekStr);
            calendar.setTime(startWeek);

            int idSalarie = Integer.parseInt(request.getParameter("idSalarie"));
            
            for (int i = 0; i < 5; i++) {
                System.out.println(sdf.format(calendar.getTime()));
                attendanceMysql.createVentil(TrmtDate.getSQLDate(calendar), "AM", idSalarie, Integer.parseInt(request.getParameter(sdf.format(calendar.getTime()) + "_am")));
                attendanceMysql.createVentil(TrmtDate.getSQLDate(calendar), "PM", idSalarie, Integer.parseInt(request.getParameter(sdf.format(calendar.getTime()) + "_pm")));
                calendar.add(Calendar.DATE, 1);
            }

            response.sendRedirect("http://localhost:8080/PersonnelTP/EmployesAttendanceServlet");
        } catch(Exception e) {
            e.printStackTrace();
            response.sendRedirect("http://localhost:8080/PersonnelTP/EmployesAttendanceServlet");
        }
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
